#
# spec file for package perl-Data-Section
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Section
Name:           perl-Data-Section
Version:        0.200008
Release:        1.4
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Read multiple hunks of data out of your DATA section
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.78
BuildRequires:  perl(MRO::Compat) >= 0.09
BuildRequires:  perl(Sub::Exporter) >= 0.979
BuildRequires:  perl(Test::FailWarnings)
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(MRO::Compat) >= 0.09
Requires:       perl(Sub::Exporter) >= 0.979
%{perl_requires}

%description
Data::Section provides an easy way to access multiple named chunks of
line-oriented data in your module's DATA section. It was written to allow
modules to store their own templates, but probably has other uses.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Sun Jan  1 2023 Tina Müller <timueller+perl@suse.de>
- updated to 0.200008
  see /usr/share/doc/packages/perl-Data-Section/Changes
  0.200008  2022-12-31 13:50:15-05:00 America/New_York
  - fix to some example code (thanks, Graham Ollis)
  - update packaging and metadata
  - minimum required Perl is now v5.12
* Mon Jul 10 2017 coolo@suse.com
- updated to 0.200007
  see /usr/share/doc/packages/perl-Data-Section/Changes
  0.200007  2017-07-07 11:36:04-04:00 America/New_York
  - rename the test library "Parent.pm" to "Mother.pm" to avoid conflict
    with core "parent.pm" on case-insensitive systems (thanks, Dan Kogai)
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.200006
  - skip tests on Win32 pre-5.14 related to line endings; perl munges the
    data before we're able to get at it (thanks, Christian Walde!)
* Sun Feb  9 2014 coolo@suse.com
- updated to 0.200005
  - open DATA handles both :raw and :bytes to avoid content munging on
    Win32 (thanks, Kenichi Ishigaki!)
  - This is not yet a perfect solution for Win32.
* Mon Dec  9 2013 coolo@suse.com
- updated to 0.200004
  - avoid confusion between \n, \x0d\x0a, and Win32
* Mon Nov 25 2013 coolo@suse.com
- updated to 0.200003
    [THIS MIGHT BREAK STUFF]
  - add an "encoding" parameter to set encoding of data section contents;
    this defaults to UTF-8 (thanks, David Golden!)
* Tue Jul 16 2013 coolo@suse.com
- updated to 0.101622
    add a link to an Advent article about Data-Section
    update bugtracker, repo, etc.
- remove Data-Section-0.101620-Build_n_Test.patch
* Sat Nov 19 2011 coolo@suse.com
- update to 0.101621
  document the \-escaping behavior of sections
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Aug  3 2010 chris@computersalat.de
- initial package 0.101620
  * created by cpanspec 1.78
